/*
  Blank Simple Project.c
  http://learn.parallax.com/propeller-c-tutorials 
*/
#include "simpletools.h"                      // Include simple tools
#include "propeller.h"

#define RmotorPin  17
#define DmotorPin  16
#define RdirPin    18
#define DdirPin    15

int b1, b2, b3, b4, b5, b6, b7, b8;
int data;


int main()                                    // Main function
{
  low(RmotorPin);
  low(RdirPin);
  low(DmotorPin);
  low(DdirPin);
  
  clkset(0x6b, 5000000);
  
  pwm_start(600);

 
  while(1)
  {
   b1 = input(3);                             // Add main loop code here.
   b2 = input(4);
   b3 = input(5);
   b4 = input(7);
   b5 = input(8);
   b6 = input(9);
   b7 = input(10);
   b8 = input(12);
   
   if(b1 == 1)
   data = 'W';
   
   if(b2 == 1)
   data = 'N';
   
   if(b3 == 1)
   data = 'E';
   
   if(b4 == 1)
   data = 'S';
   
   switch(data)
   {
     case 'W':
       high(RdirPin);
       pwm_set(RmotorPin,0,400);
       if(b1 == 0)
        data = ' ';
       break;
       
     case 'N':
       high(DdirPin);
       pwm_set(DmotorPin,1,400);
       if(b2 == 0)
        data = ' ';
       break;
       
     case 'E':
       low(RdirPin);
       pwm_set(RmotorPin,0,400);
       if(b3 == 0)
        data = ' ';
       break;
       
     case 'S':
       low(DdirPin);
       pwm_set(DmotorPin,1,400);
       if(b4 == 0)
        data = ' ';
       break;
       
     default:
       pwm_set(RmotorPin,0,56);
       pwm_set(DmotorPin,1,0);
       low(RdirPin);
       low(DdirPin);
       break;
   }
     RmotorPin = input(8);
     RdirPin   = input(9);  
     DmotorPin = input(10);
     DdirPin   = input(12); 
    
  } 
  pause(10); 
}
